import React from "react";
import { NextPluginRenderer } from "@ui-schema/ui-schema";

const SchemaGridItem = ({
  children
}) => {
  //const SchemaGridItem = ({schema, children, defaultMd}) => {

  /*const view = schema ? schema.getIn(['view']) : undefined;
  const viewXs = view ? (view.getIn(['sizeXs']) || 12) : 12;
  const viewSm = schema ? schema.getIn(['view', 'sizeSm']) : undefined;
  const viewMd = schema ? schema.getIn(['view', 'sizeMd']) : defaultMd;
  const viewLg = schema ? schema.getIn(['view', 'sizeLg']) : undefined;
  const viewXl = schema ? schema.getIn(['view', 'sizeXl']) : undefined;*/
  return React.createElement("div", {
    className: 'col-md-3'
  }, children);
};

const RootRenderer = props => React.createElement("div", {
  className: 'container-inner'
}, props.children);

const GroupRenderer = ({
  schema,
  children
}) => React.createElement(SchemaGridItem, {
  schema: schema
}, React.createElement("div", {
  className: 'container'
}, children));

const SchemaGridHandler = props => {
  const {
    schema
  } = props;
  return React.createElement(SchemaGridItem, {
    schema: schema
  }, React.createElement(NextPluginRenderer, props));
};

export { SchemaGridHandler, SchemaGridItem, RootRenderer, GroupRenderer };